HostingDomains

Update domain

PUT/api/domains/{domain_code}

Updates domain settings, limits, services, address book defaults, and related options.

X-Api-Token<token>

API token used to authenticate requests.

In: header

Path Parameters

domain_code*string

Domain code: D followed by 9 digits. Example: D123456789.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

postmaster_password?string

Postmaster password. Must be at least 8 characters long and contain at least one letter and one number.

postmaster_password_confirmation?string

Must match postmaster_password.

catch_all_enabled?boolean

Enable catch all for the domain.

catch_all_destination?string

Catch all destination email address.

default_quota?integer

Default quota in bytes for new email accounts.

Format int32
antispam_level?integer

Antispam level.

  • 0 = disabled.
  • 1 = permissive.
  • 2 = standard.
  • 3 = aggressive.
Format int32Values 0 | 1 | 2 | 3
allow_nets?string[]

List of allowed IP addresses or networks.

imap_disabled?boolean

Disable IMAP protocol on all email accounts of the domain.

pop_disabled?boolean

Disable POP protocol on all email accounts of the domain.

smtp_disabled?boolean

Disable SMTP protocol on all email accounts of the domain.

webmail_disabled?boolean

Disable webmail access on all email accounts of the domain.

chat?boolean

Enable chat on the Qboxmail webmail.

activesync?boolean

Enable ActiveSync service on domain accounts.

meeting?boolean

Enable meeting video chat on the Qboxmail webmail.

calendar?boolean

Enable calendar on the Qboxmail webmail.

dav?boolean

Enable DAV service on domain accounts.

max_email_accounts?integer

Max number of email accounts for the domain. -1 means no limit.

Format int32
max_email_accounts_25gb?integer

Max number of 25GB email accounts for the domain. -1 means no limit.

Format int32
max_email_accounts_50gb?integer

Max number of 50GB email accounts for the domain. -1 means no limit.

Format int32
max_email_accounts_100gb?integer

Max number of 100GB email accounts for the domain. -1 means no limit.

Format int32
max_email_accounts_archive?integer

Max number of archived email accounts for the domain. -1 means no limit.

Format int32
max_email_quota?integer

Max quota in bytes for email accounts of the domain.

  • 52428800 = 50 MB.
  • 1073741824 = 1 GB.
  • 2147483648 = 2 GB.
  • 3221225472 = 3 GB.
  • 4294967296 = 4 GB.
  • 5368709120 = 5 GB.
  • 6442450944 = 6 GB.
  • 7516192768 = 7 GB.
  • 8589934592 = 8 GB.
  • 17179869184 = 16 GB.
  • 26843545600 = 25 GB.
  • 53687091200 = 50 GB.
  • 107374182400 = 100 GB.
Format int32Values 52428800 | 1073741824 | 2147483648 | 3221225472 | 4294967296 | 5368709120 | 6442450944 | 7516192768 | 8589934592 | 17179869184 | 26843545600 | 53687091200 | 107374182400
api_enabled?boolean

Enable API access on domain accounts.

password_change_disabled?boolean

Disable password change from the user.

password_recovery_disabled?boolean

Disable password recovery from the user.

password_expiration?integer

Password expiration in months.

  • -1 = never expire.
  • 3 = expire after 3 months.
  • 6 = expire after 6 months.
  • 12 = expire after 12 months.
Format int32Values -1 | 3 | 6 | 12
force_password_first_login?boolean

Force users to set a new password on first login.

block_old_password?boolean

Prevent users from reusing old passwords.

force_otp?boolean

Require two factor authentication for users.

hide_from_addressbook_company?boolean

Hide new accounts from the company address book.

plan?string

Domain plan.

  • basic = Basic plan.
  • professional = Professional plan.
  • enterprise = Enterprise plan.
Values basic | professional | enterprise
destroy_sessions_on_password_expiration?boolean

Destroy user sessions when the password expires.

antimalware_premium?boolean

Enable premium antimalware when allowed by the plan.

limit_tracemail_21_days?boolean

Limit Tracemail retention to 21 days.

company?string

Company name associated with the domain.

telephone?string

Company telephone.

address?string

Company address.

city?string

Company city.

zip?string

Company ZIP code.

state?string

Company state.

country?string

Company country.

language?string

Default language for users of the domain.

  • it = Italian.
  • en = English.
  • es = Spanish.
Values it | en | es
timezone?string

Default timezone for users of the domain.

webmail_language?string

Default webmail language.

  • it = Italian.
  • en = English.
  • nl = Dutch.
  • sv = Swedish.
  • es = Spanish.
  • pt = Portuguese.
  • de = German.
  • gr = Greek.
  • fr = French.
Values it | en | nl | sv | es | pt | de | gr | fr
webmail_time_format?string

Default webmail time format.

  • 12h = 12-hour clock.
  • 24h = 24-hour clock.
Values 12h | 24h
webmail_date_format?string

Default webmail date format.

  • YYYY/MM/DD = year/month/day.
  • DD/MM/YYYY = day/month/year.
  • MM/DD/YYYY = month/day/year.
  • DD MMM YYYY = day abbreviated-month year.
  • MMM DD YYYY = abbreviated-month day year.
  • DD.MM.YYYY = day.month.year.
Values YYYY/MM/DD | DD/MM/YYYY | MM/DD/YYYY | DD MMM YYYY | MMM DD YYYY | DD.MM.YYYY
webmail_timezone?string

Default webmail timezone.

webmail_signature_template?string

Default webmail signature template.

apply_signature_new_emails?boolean

Apply signature template to new email accounts.

allow_nets_apply_to_all?boolean[]

Apply allow_nets changes to all existing email accounts.

default_quota_apply_to_all?boolean

Apply the domain default quota to all existing email accounts.

password_policies_apply_to_all?boolean

Apply password policy changes to all existing email accounts.

outbound_limit?integer

Outbound limit id. Use 0 to restore the default outbound limit.

Format int32
force_new_password?boolean

Force all domain users to change their password.

Response Body

application/json

application/json

application/json

application/json

curl -X PUT "https://example.com/api/domains/string" \  -H "X-Api-Token: YOUR_API_TOKEN" \  -H "Accept: application/json" \  -H "Content-Type: application/json" \  -d '{}'
Empty
{
  "message": "Unauthorized",
  "errors": []
}
{
  "message": "Forbidden",
  "errors": []
}
{
  "message": "Not found",
  "errors": []
}
{
  "message": "Validation failed",
  "errors": [
    {
      "field": "name",
      "description": "is not valid"
    }
  ]
}